socat PROXY-CONNECT Address Stack Buffer Overflow Vulnerability

Bugtraq ID: 65201
Class: Boundary Condition Error
CVE: CVE-2014-0019
Remote: Yes
Local: No
Published: Jan 28 2014 12:00AM
Updated: May 07 2015 05:12PM
Credit: Florian Weimer of Red Hat
Vulnerable: socat socat 2.0.0-b6
socat socat 2.0.0-b5
socat socat 2.0.0-b4
socat socat 2.0.0-b3
socat socat 2.0.0-b2
socat socat 2.0.0-b1
socat socat 1.7.2.2
socat socat 1.7.2.1
socat socat 1.7.2.0
socat socat 1.7.1.3
socat socat 1.7.1.2
socat socat 1.7.1.1
socat socat 1.7.1.0
socat socat 1.7.0.1
socat socat 1.7.0.0
socat socat 1.6.0.1
socat socat 1.6.0.0
socat socat 1.5.0.0
socat socat 1.3.0.0
Mandriva Business Server 1 X86 64
Mandriva Business Server 1
Not Vulnerable: socat socat 2.0.0-b7
socat socat 1.7.2.3


 

Privacy Statement
Copyright 2010, SecurityFocus